/*
 * SPDX-FileCopyrightText: 2024-2025 Bruno Anselme <be.root@gfree.fr>
 *
 * Authors:
 *   Bruno Anselme <be.root@gfree.fr>
 *
 *   SPDX-License-Identifier: GPL-3.0-or-later
 *
 * This file is part of the NoComprendo software.
*/

#ifndef ABOUTDIALOG_H
#define ABOUTDIALOG_H

#include <QButtonGroup>
#include "ui_about.h"

class AboutDialog : public QDialog, private Ui::AboutDialog
{
    Q_OBJECT
public:
    AboutDialog(QString &lang, QWidget *parent = 0);            //!< Constructor
    ~AboutDialog();
private slots:
    void showHelp()             {   showPage("about"); }
    void showCredits()          {   showPage("credits"); }
    void showCommands()         {   showPage("commands"); }
    void showUsage()            {   showPage("usage"); }
    void showSettings()         {   showPage("settings"); }
    void showLicense();
private:
    void showPage(QString page);
private:
    Ui::AboutDialog ui;
    QString         locale;
    QString         defPage;
};

#endif // ABOUTDIALOG_H
