/*
 * SPDX-FileCopyrightText: 2024-2025 Bruno Anselme <be.root@gfree.fr>
 *
 * Authors:
 *   Bruno Anselme <be.root@gfree.fr>
 *
 *   SPDX-License-Identifier: GPL-3.0-or-later
 *
 * This file is part of the NoComprendo software.
*/

#ifndef BLINK_H
#define BLINK_H

#include <QWidget>
#include <QTimerEvent>
#include "config.h"

class MouseBlink : public QWidget
{
    Q_OBJECT
public:
    explicit MouseBlink();                          //!< Constructor
    void        start();                            //!< Start animation
protected:
    void        paintEvent(QPaintEvent *event);     //!< Locate mouse animation
    void        timerEvent(QTimerEvent *event);     //!< Trigger mouse animation
private:
    int         counter;
    int         timerBlink;
};

#endif // BLINK_H
