/*
 * SPDX-FileCopyrightText: 2024-2025 Bruno Anselme <be.root@gfree.fr>
 *
 * Authors:
 *   Bruno Anselme <be.root@gfree.fr>
 *
 *   SPDX-License-Identifier: GPL-3.0-or-later
 *
 * This file is part of the NoComprendo software.
*/

#ifndef EDITUTTERANCE_H
#define EDITUTTERANCE_H

#include <QWidget>

#include "ui_editutterance.h"
#include "comprendo.h"

namespace Ui {
class dialUtterance;
}

class EditUtterance : public QDialog
{
    Q_OBJECT

public:
    explicit EditUtterance(QString title, QString utt, Comprendo *what_);
    ~EditUtterance();

    QString getUtterance()  { return ui->leUtterance->text(); }

protected:
    void    timerEvent(QTimerEvent *) override;
    void    changeEvent(QEvent *e);

private Q_SLOTS:
    void    startRecording();
    void    checkAccept();

private:
    Ui::dialUtterance *ui;
    Comprendo         *what;
};

#endif // EDITUTTERANCE_H
