/*
 * SPDX-FileCopyrightText: 2024-2025 Bruno Anselme <be.root@gfree.fr>
 *
 * Authors:
 *   Bruno Anselme <be.root@gfree.fr>
 *
 *   SPDX-License-Identifier: GPL-3.0-or-later
 *
 * This file is part of the NoComprendo software.
*/

#ifndef MODELCHOOSER_H
#define MODELCHOOSER_H

#include <QDialog>

#include "ui_modelchooser.h"
#include "config.h"

class ModelChooser : public QDialog, private Ui::dialogModelChooser
{
    Q_OBJECT
public:
    ModelChooser();             //!< Constructor
    QString     getModel();     //!< Return selected language
protected Q_SLOTS:
    void        loadModel();
private:
    void        updateModelList();
private:
    Ui::dialogModelChooser     ui;
};

#endif // MODELCHOOSER_H
