/*
 * SPDX-FileCopyrightText: 2024-2025 Bruno Anselme <be.root@gfree.fr>
 *
 * Authors:
 *   Bruno Anselme <be.root@gfree.fr>
 *
 *   SPDX-License-Identifier: GPL-3.0-or-later
 *
 * This file is part of the NoComprendo software.
*/

#ifndef REMINDER_H
#define REMINDER_H

#include <QDialog>
#include <QListWidget>
#include <comprendo.h>

class Reminder : public QDialog
{
    Q_OBJECT
public:
    Reminder(Comprendo *comp);                              //!< Contructor, show window filled with commands' utterances
protected:
    void            changeEvent(QEvent *event);             //!< Close window on activation change
    void            mousePressEvent(QMouseEvent *event);    //!< Close window on mouse pressed event
    void            keyPressEvent(QKeyEvent *);             //!< Close window on key pressed event
private:
    Comprendo      *what;
};

#endif // REMINDER_H
